.container {
  //background: radial-gradient(100% 180.31% at 0% 100%, #8DB2CC 0%, #3681C8 48.96%, #0042A0 100%);
  height: 100vh;
  width: 100%;
  min-height: 300pt;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  color: #FFFFFF;
  position: relative;
  transition: all 1s ease-in-out;  
  -webkit-transition: all 1s ease-in-out;  

  // Make text not selectable so that users will not be able to highlight text in buttons/divs.
  -webkit-user-select: none; /* Safari */        
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* IE10+/Edge */
  user-select: none; /* Standard */

  /*.stars {
    position: absolute;
    top: 0%;
    left: 0%;
    right: 0%;
    bottom: 0%;
    background: url(/assets/images/starry-sky.png) no-repeat center center fixed;
    background-size: cover;
    mix-blend-mode: lighten;
    z-index: 0;
    opacity: 0;
    transition: opacity 4s ease-in-out;

    animation-name: example;
    animation-duration: 3s;

    @keyframes example {
      from { opacity: 0; }
      to { opacity: 0.5; }
    }
  }*/

  .dark-background {
    position: absolute;
    height: 100vh;
    width: 100vw;
    background: rgba(0, 0, 0, 0.3);
    z-index: 0;
  }

  .header {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.3s ease-in-out;
    z-index: 1;
    animation-name: example;
    animation-duration: 3s;

    @keyframes example {
      from { opacity: 0; }
      to { opacity: 1; }
    }

    .city-info {
      height: 90px;
      .name {
        font-weight: bold;
        font-size: 36px;
        display: inline-block;
        margin-right: 10pt;
        margin: 0pt 10pt 0pt 0pt;
      }

      .favorite {
        height: 25px;
        width: 25px;
        cursor: pointer;
      }

      .date {
        font-weight: 600;
        font-size: 20px;
        margin: 0;
      }
    }

    .weather-icon {
      height: 90px;
      width: 90px;
      margin: 0pt 15pt 0pt 50pt;
    }

    .weather-info {
      height: 90px;

      .temperature {
        font-weight: bold;
        font-size: 72px;
        line-height: 65px;
        margin: 0;
      }

      .description {
        font-weight: 600;
        font-size: 20px;
        line-height: 25px;
        margin: 0;
      }

    }
  }

  .scroll {
    z-index: 1;
    width: 100%;
    height: 170pt;
    margin-top: 60pt;
    overflow: visible;
    padding: 0pt 15pt;
    animation-name: example;
    animation-duration: 3s;

    @keyframes example {
      from { opacity: 0; }
      to { opacity: 1; }
    }

    .drag-scroll-item {
      width: 100vw;
      height: 170pt;
      display: flex;
      justify-content: center;
      align-items: center;

      .card {
        width: 300pt;
        height: 170pt;
        background-color: white;
        cursor: grab;
        // box-shadow: 0px 100px 80px rgba(0, 0, 0, 0.07), 0px 22.3363px 17.869px rgba(0, 0, 0, 0.0417275), 0px 6.6501px 5.32008px rgba(0, 0, 0, 0.0282725);
        border-radius: 13px;
        margin: 0 auto;
        padding: 3pt 25pt;
        box-sizing: border-box;

        .title {
          font-weight: bold;
          font-size: 18px;
          line-height: 27px;
          color: #000000;
          margin: 10pt 0pt 15pt;
        }

        .data-wrapper {
          display: grid;
          grid-template-columns: repeat(2, 1fr);
          grid-template-rows: repeat(2, 1fr);
          grid-gap: 15pt;

          .data {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            height: 35pt;

            .circle {
              height: 35pt;
              width: 35pt;
              border-radius: 40px;
              display: inline-block;
              position: relative;

              .icon {
                position: absolute;
                height: 30px;
                width: 30px;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
              }
            }

            .info-wrapper {
              margin-left: 10pt;

              .data-label {
                font-weight: 500;
                font-size: 14px;
                line-height: 15px;
                margin: 0;
                color: #000000;
              }
  
              .data-value {
                font-weight: bold;
                font-size: 18px;
                line-height: 20px;
                margin: 0;
                color: #000000;
              }
            }
          }
        }
      }

      .forecast-wrapper {
        display: flex;
        justify-content: center;
        
        .day-card {
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;

          height: 110pt;
          width: 90pt;
          background-color: white;
          // box-shadow: 0px 100px 80px rgba(0, 0, 0, 0.07), 0px 22.3363px 17.869px rgba(0, 0, 0, 0.0417275), 0px 6.6501px 5.32008px rgba(0, 0, 0, 0.0282725);
          border-radius: 13px;
          margin: 0pt 6pt;
          cursor: grab;

          .day-of-week {
            font-weight: 500;
            font-size: 14px;
            line-height: 21px;
            text-align: center;
            color: #555555;
          }

          .weather-icon {
            height: 50px;
            width: 50px;
            margin: 5pt 0pt;
          }

          .temperature {
            font-weight: bold;
            font-size: 20px;
            line-height: 30px;
            text-align: center;
            color: #000000;
          }
        }
      }
    }
  }

  .arrows-wrapper {
    display: block;
    width: 90%;
    height: 30px;
    justify-content: space-between;
    position: absolute;
    z-index: 10;
    .arrow {
      cursor: pointer;
    }
  }

  .scroll-indicator {
    display: flex;
    justify-content: center;
    padding-top: 20pt;
    z-index: 1;

    .dot {
      height: 8pt;
      width: 8pt;
      background-color: white;
      border-radius: 4pt;
      margin: 0pt 4pt;
      transition: opacity 0.2s ease-in-out;
    }
  }

  .back {
    z-index: 1;
    position: absolute;
    bottom: 50pt;
    left: 50%;
    transform: translateX(-50%);

    display: flex;
    justify-content: center;
    align-items: center;
    height: 30pt;
    width: 196pt;
    border: 3px solid white;
    box-sizing: border-box;
    border-radius: 15pt;
    cursor: pointer;
    font-weight: 600;

    transition:
      background-color 0.2s ease-in-out,
      color 0.2s ease-in-out;
    
    &:hover {
      background-color:white;
      color: black;
    }
  }
}

.dark {
  .scroll {
    .drag-scroll-item {
      .card {
        background-color: black;
        .title {
          color: white;
        }
        .data-wrapper {
          .data {
            .info-wrapper {
              .data-label {
                color: white;
              }
              .data-value {
                color: white;
              }
            }
          }
        }
      }
      .forecast-wrapper {
        .day-card {
          background-color: black;
          .day-of-week {
            color: #aaaaaa;
          }
          .temperature {
            color: white;
          }
        }
      }
    }
  }
}